Bug 1474106 - Conflicts between i686 and x86_64 packages
Conflicts between i686 and x86_64 packages
Status: NEW
Product: Fedora
Classification: Fedora
Component: cdk (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-23 18:22 EDT by srakitnican
Modified: 2018-05-03 04:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description srakitnican 2017-07-23 18:22:14 EDT
Description of problem: 
cdk package is possible to install i686 and x86_64 simultaneously. On Fedora 26, the same is failing with conflicts:

Error: Transaction check error:
  file /usr/share/doc/cdk/demos/Makefile conflicts between attempted installs of cdk-5.0.20160131-2.fc26.i686 and cdk-5.0.20160131-2.fc26.x86_64
  file /usr/share/doc/cdk/examples/Makefile conflicts between attempted installs of cdk-5.0.20160131-2.fc26.i686 and cdk-5.0.20160131-2.fc26.x86_64


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. dnf install cdk.i686 cdk.x86_64


Actual results:
Error: Transaction check error:
  file /usr/share/doc/cdk/demos/Makefile conflicts between attempted installs of cdk-5.0.20160131-2.fc26.i686 and cdk-5.0.20160131-2.fc26.x86_64
  file /usr/share/doc/cdk/examples/Makefile conflicts between attempted installs of cdk-5.0.20160131-2.fc26.i686 and cdk-5.0.20160131-2.fc26.x86_64


Expected results: Consistency across releases


Additional info:
http://forums.fedoraforum.org/showthread.php?t=314916
http://forums.fedoraforum.org/showthread.php?t=314843
Comment 1 srakitnican 2017-07-23 18:25:38 EDT
(In reply to srakitnican from comment #0)
> Description of problem: 
> cdk package is possible to install i686 and x86_64 simultaneously. On Fedora

* on Fedora 25 is possible to install simultaneously
Comment 2 srakitnican 2017-07-23 18:57:00 EDT
On Fedora 25 with cdk-5.0.20141106-2.fc23 there is no /usr/share/doc/cdk/demos/Makefile file.

https://src.fedoraproject.org/cgit/rpms/cdk.git/commit/?h=f26&id=33a896ae102238a3ca70dd2611e890542ca37a00
Comment 3 Igor Gnatenko 2017-07-24 02:33:22 EDT
Yes, this is clearly cdk bug.
Comment 4 srakitnican 2017-07-24 03:14:04 EDT
--- demos.x86.64/Makefile	2016-11-06 21:42:14.000000000 +0100
+++ demos.i686/Makefile	2016-11-06 21:42:33.000000000 +0100
@@ -28,7 +28,7 @@
 o		= .o
 LOCAL_LIBDIR	= .
 
-CFLAGS		= -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic 
+CFLAGS		= -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables 
 CPPFLAGS	= -DHAVE_CONFIG_H -I../include -I$(srcdir)/../include -I.  -D_GNU_SOURCE -D_GNU_SOURCE
 LDFLAGS		= -L..  -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld
Comment 5 Fedora End Of Life 2018-05-03 04:38:11 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.